FTIME(3)

NAME
ftime - get date and time

LIBRARY
libcompat

SYNOPSIS
#include <sys/types.h>
#include <sys/timeb.h>
int
ftime(struct timeb *tp);

DESCRIPTION
This interface is obsoleted by gettimeofday(2).

The ftime() routine fills in a structure pointed to by its argument, as defined by <sys/timeb.h>:

    /*
     * Structure returned by ftime system call
     */
    struct timeb
    {
    	  time_t  time;
    	  unsigned short millitm;
    	  short   timezone;
    	  short   dstflag;
    };

The structure contains the time since the epoch in seconds, up to 1000 milliseconds of more-precise interval, the local time zone (measured in minutes of time westward from Greenwich), and a flag that, if nonzero, indicates that Daylight Saving time applies locally during the appropriate part of the year.

SEE ALSO
gettimeofday(2), settimeofday(2), ctime(3), time(3)

HISTORY
The ftime function appeared in 4.2BSD.